"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const LocalStore_1 = require("./LocalStore/LocalStore");
const FireStore_1 = require("./FireStore");
class Persistence {
    constructor(framework) {
        this.framework = framework;
        if (!framework.db) {
            this.store = LocalStore_1.LocalStore;
        }
        else {
            this.store = new FireStore_1.default(this.framework.db);
        }
    }
    get(key) {
        return this.store.getItem(key);
    }
    set(key, value) {
        return this.store.setItem(key, value);
    }
}
exports.default = Persistence;
//# sourceMappingURL=Persistence.js.map