import { ITransmuteFramework } from '../../transmute-framework';
import * as Common from '../Utils/Common';
export declare class ReadModel {
    framework: ITransmuteFramework;
    constructor(framework: ITransmuteFramework);
    /**
     * @type {Function} readModelGenerator - transform an event stream into a json object
     * @param {Object} readModel - a json object representing the state of a given model
     * @param {Function} reducer - a function which reduces events into a read model state object
     * @param {Object[]} events - events from an eventStore contract
     */
    readModelGenerator: (readModel: Common.IReadModel, reducer: any, events: Common.IFSAEvent[]) => Common.IReadModel;
    /**
    * @type {Function} maybeSyncReadModel - maybe update a json read model if it has new events
    * @param {Contract} eventStore - a contract instance which is an Event Store
    * @param {Object} readModel - a json object representing the state of a given model
    * @param {Function} reducer - a function which reduces events into a read model state object
    * @return {Promise<ReadModel, Error>} json object representing the state of a ReadModel for an EventStore
    */
    maybeSyncReadModel: (eventStore: any, fromAddress: string, readModel: Common.IReadModel, reducer: any) => Promise<Common.IReadModel>;
    getCachedReadModel: (eventStore: any, fromAddress: string, readModel: Common.IReadModel, reducer: any) => Promise<Common.IReadModel>;
}
