/// <reference types="node" />
import { ITransmuteFramework } from '../transmute-framework';
export interface ISignatureWithMeta {
    messageBuffer: Buffer;
    messageBufferHex: string;
    messageHex: string;
    signature: string;
    address: string;
    isPrefixed: boolean;
}
export declare class Toolbox {
    framework: ITransmuteFramework;
    constructor(framework: ITransmuteFramework);
    sign: (address: string, message: string) => Promise<ISignatureWithMeta>;
    recover: (messageBufferHex: string, signature: string) => Promise<string>;
    generateMnemonic: () => any;
    getWalletFromMnemonic: (mnemonic: string) => any;
    getDefaultAddressFromWallet: (wallet: any) => string;
    getDefaultAddressFromMnemonic: (mnemonic: string) => string;
}
